function dAcc = CalculatePostLabelAccuracy(vAssignmentIndices, vTrueLabels)
    L=vTrueLabels; dAcc = 0; 
    vUnique = unique(vAssignmentIndices); 
    vPosts  = zeros(length(vUnique),1);
    for(k=1:length(vUnique)),
            vField    = vAssignmentIndices==vUnique(k); 
            vPosts(k) = mode(L(vField)); 
            dAcc      = dAcc+sum(L(vField) == vPosts(k));
    end
    dAcc = dAcc / length(vTrueLabels);