function [ny_Dis vP]=dis2ny(Dis,dPercentage)

% converts dissimilarity for Nystr�m approximation of dissimilarity
[N,~]   = size(Dis);
P       = ceil(N*dPercentage);
if(P > 5000)
    error('To many landmarks - pinv will be to slow - use low dPercentage');
end
vP      = randsample(N,P);   % nystroem landmarks

ny_Dis{1}=Dis(:,vP);
ny_Dis{2}=pinv(Dis(vP,vP));