function [cLabels] = label_data( distNeuronsToData, NeuronLabels )
%
% Alexander Hasenfuss (c) 2005-2007
%
% Labels the data according to the corresponding winner neuron
%

% Determine winner neurons
[dummy,idx] = min( distNeuronsToData, [], 1 );

% Use assignment as index to neuron labels 
cLabels = NeuronLabels( idx );