function [SymMatrix] = symmetrize_matrix( Matrix )

%
% Symmetrize square matrix by averaging elements a_ij and a_ji
%
% A.Hasenfuss (c) 2007
%
%

% Check parameter
if ndims( Matrix ) > 2
  error('Only 2-dim matrices allowed here!');
end

SymMatrix = (Matrix + Matrix') / 2;

